<html>
  <head>
    <script src="https://cdn.socket.io/3.1.3/socket.io.min.js" integrity="sha384-cPwlPLvBTa3sKAgddT6krw0cJat7egBga3DJepJyrLl4Q9/5WLra3rrnMcyTyOnh" crossorigin="anonymous"></script>
  </head>
  <body>
    
      <button name="prev" id="prev" onclick="prev()">Prev</button>
      <button name="play" id="play" onclick="play()">Play</button>
      <button name="stop" id="stop" onclick="pause()">Pause</button>
      <button name="next" id="next" onclick="next()">Next</button>

    <script>
      var socket = io('http://localhost:8080/');

      socket.on('connect', function(){console.log('connect!')});
      socket.on('message', function(msg){console.log('message!', msg)});
      socket.on('disconnect', function(){console.log('disconnect!')});
      socket.on('reply', function(msg){console.log('reply!', msg)});

      

      function play(){
          socket.emit('play', "playing music")
          console.log("playing")
      }
      function pause(){
          socket.emit('pause', "pausing music")
          console.log("pausing")
      }

      function next(){
          socket.emit('next', "next song")
          console.log("next song")
      }

      function prev(){
          socket.emit('prev', "previous song")
          console.log("previous song")
      }

    </script>
  </body>
</html>